CppUnit project page | FAQ

Public Member Functions | Private Attributes | List of all members
ProtectorChain::ProtectFunctor Class Reference
Inheritance diagram for ProtectorChain::ProtectFunctor:

## Public Member Functions

| ProtectFunctor (Protector *protector, const Functor &functor, const ProtectorContext &context)
bool | operator() () const
Public Member Functions inherited from Functor
virtual | ~Functor ()

## Private Attributes

Protector * | m_protector
const Functor & | m_functor
const ProtectorContext & | m_context

## Constructor & Destructor Documentation

## ◆ ProtectFunctor()

ProtectorChain::ProtectFunctor::ProtectFunctor | ( | Protector * | protector,
|  | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  |

inline

## Member Function Documentation

## ◆ operator()()

bool ProtectorChain::ProtectFunctor::operator() | ( |  | ) | const

inline virtual

Implements Functor.

## Member Data Documentation

## ◆ m_context

const ProtectorContext& ProtectorChain::ProtectFunctor::m_context

private

## ◆ m_functor

const Functor& ProtectorChain::ProtectFunctor::m_functor

private

## ◆ m_protector

Protector* ProtectorChain::ProtectFunctor::m_protector

private

The documentation for this class was generated from the following file:

- ProtectorChain.cpp

| Send comments to: CppUnit Developers